
# Slot: actor


Describes one or more entities that either performed or are expected to perform the activity. Any single activity can have multiple actors. The actor MAY be specified using an indirect Link.

URI: [as:actor](http://www.w3.org/ns/activitystreams#actor)


## Domain and Range

None &#8594;  <sub>0..\*</sub> [String](types/String.md)

## Parents

 *  is_a: [attributedTo](attributedTo.md)

## Children


## Used by

 * [Accept](Accept.md)
 * [Activity](Activity.md)
 * [Add](Add.md)
 * [Announce](Announce.md)
 * [Arrive](Arrive.md)
 * [Block](Block.md)
 * [Create](Create.md)
 * [Delete](Delete.md)
 * [Dislike](Dislike.md)
 * [Flag](Flag.md)
 * [Follow](Follow.md)
 * [Ignore](Ignore.md)
 * [IntransitiveActivity](IntransitiveActivity.md)
 * [Invite](Invite.md)
 * [Join](Join.md)
 * [Leave](Leave.md)
 * [Like](Like.md)
 * [Listen](Listen.md)
 * [Move](Move.md)
 * [Offer](Offer.md)
 * [Question](Question.md)
 * [Read](Read.md)
 * [Reject](Reject.md)
 * [Remove](Remove.md)
 * [TentativeAccept](TentativeAccept.md)
 * [TentativeReject](TentativeReject.md)
 * [Travel](Travel.md)
 * [Undo](Undo.md)
 * [Update](Update.md)
 * [View](View.md)

## Other properties

|  |  |  |
| --- | --- | --- |
| **Mappings:** | | as:actor |

