
# Slot: duration


When the object describes a time-bound resource, such as an audio or video, a meeting, etc, the duration property indicates the object's approximate duration. The value MUST be expressed as an xsd:duration as defined by [ xmlschema11-2], section 3.3.6 (e.g. a period of 5 seconds is represented as "PT5S").

URI: [as:duration](http://www.w3.org/ns/activitystreams#duration)


## Domain and Range

None &#8594;  <sub>0..1</sub> [DurationType](types/DurationType.md)

## Parents


## Children


## Used by

 * [Accept](Accept.md)
 * [Activity](Activity.md)
 * [Add](Add.md)
 * [Announce](Announce.md)
 * [Application](Application.md)
 * [Arrive](Arrive.md)
 * [Article](Article.md)
 * [Audio](Audio.md)
 * [Block](Block.md)
 * [Collection](Collection.md)
 * [CollectionPage](CollectionPage.md)
 * [Create](Create.md)
 * [Delete](Delete.md)
 * [Dislike](Dislike.md)
 * [Document](Document.md)
 * [Event](Event.md)
 * [Flag](Flag.md)
 * [Follow](Follow.md)
 * [Group](Group.md)
 * [Ignore](Ignore.md)
 * [Image](Image.md)
 * [IntransitiveActivity](IntransitiveActivity.md)
 * [Invite](Invite.md)
 * [Join](Join.md)
 * [Leave](Leave.md)
 * [Like](Like.md)
 * [Listen](Listen.md)
 * [Move](Move.md)
 * [Note](Note.md)
 * [Object](Object.md)
 * [Offer](Offer.md)
 * [OrderedCollection](OrderedCollection.md)
 * [OrderedCollectionPage](OrderedCollectionPage.md)
 * [Organization](Organization.md)
 * [Page](Page.md)
 * [Person](Person.md)
 * [Place](Place.md)
 * [Profile](Profile.md)
 * [Question](Question.md)
 * [Read](Read.md)
 * [Reject](Reject.md)
 * [Relationship](Relationship.md)
 * [Remove](Remove.md)
 * [Service](Service.md)
 * [TentativeAccept](TentativeAccept.md)
 * [TentativeReject](TentativeReject.md)
 * [Tombstone](Tombstone.md)
 * [Travel](Travel.md)
 * [Undo](Undo.md)
 * [Update](Update.md)
 * [Video](Video.md)
 * [View](View.md)

## Other properties

|  |  |  |
| --- | --- | --- |
| **Mappings:** | | as:duration |
| **See also:** | | [https://www.w3.org/TR/xmlschema11-2/](https://www.w3.org/TR/xmlschema11-2/) |

