
# Slot: endTime


The date and time describing the actual or expected ending time of the object. When used with an Activity object, for instance, the endTime property specifies the moment the activity concluded or is expected to conclude.

URI: [as:endTime](http://www.w3.org/ns/activitystreams#endTime)


## Domain and Range

None &#8594;  <sub>0..1</sub> [Datetime](types/Datetime.md)

## Parents


## Children


## Used by

 * [Accept](Accept.md)
 * [Activity](Activity.md)
 * [Add](Add.md)
 * [Announce](Announce.md)
 * [Application](Application.md)
 * [Arrive](Arrive.md)
 * [Article](Article.md)
 * [Audio](Audio.md)
 * [Block](Block.md)
 * [Collection](Collection.md)
 * [CollectionPage](CollectionPage.md)
 * [Create](Create.md)
 * [Delete](Delete.md)
 * [Dislike](Dislike.md)
 * [Document](Document.md)
 * [Event](Event.md)
 * [Flag](Flag.md)
 * [Follow](Follow.md)
 * [Group](Group.md)
 * [Ignore](Ignore.md)
 * [Image](Image.md)
 * [IntransitiveActivity](IntransitiveActivity.md)
 * [Invite](Invite.md)
 * [Join](Join.md)
 * [Leave](Leave.md)
 * [Like](Like.md)
 * [Listen](Listen.md)
 * [Move](Move.md)
 * [Note](Note.md)
 * [Object](Object.md)
 * [Offer](Offer.md)
 * [OrderedCollection](OrderedCollection.md)
 * [OrderedCollectionPage](OrderedCollectionPage.md)
 * [Organization](Organization.md)
 * [Page](Page.md)
 * [Person](Person.md)
 * [Place](Place.md)
 * [Profile](Profile.md)
 * [Question](Question.md)
 * [Read](Read.md)
 * [Reject](Reject.md)
 * [Relationship](Relationship.md)
 * [Remove](Remove.md)
 * [Service](Service.md)
 * [TentativeAccept](TentativeAccept.md)
 * [TentativeReject](TentativeReject.md)
 * [Tombstone](Tombstone.md)
 * [Travel](Travel.md)
 * [Undo](Undo.md)
 * [Update](Update.md)
 * [Video](Video.md)
 * [View](View.md)

## Other properties

|  |  |  |
| --- | --- | --- |
| **Mappings:** | | as:endTime |

